DOMConfigurator (SLF4J 1.7.28 API)
Date: 2019-08-10

org.apache.log4j.xml

## Class DOMConfigurator

- java.lang.Object
- - org.apache.log4j.xml.DOMConfigurator

- All Implemented Interfaces:
    Configurator

      public class DOMConfigurator
      extends Object
      implements Configurator

- - ### Field Summary

    - ### Fields inherited from interface org.apache.log4j.spi.Configurator

      `INHERITED, NULL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DOMConfigurator()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `configure(Element element)`
    `static void` | `configure(String filename)`
    `static void` | `configure(URL url)`
    `static void` | `configureAndWatch(String configFilename)`
    `static void` | `configureAndWatch(String configFilename, long delay)`
    `void` | `doConfigure(Element element, LoggerRepository repository)`
    `void` | `doConfigure(InputStream inputStream, LoggerRepository repository)`
    `void` | `doConfigure(Reader reader, LoggerRepository repository)`
    `void` | `doConfigure(String filename, LoggerRepository repository)`
    `void` | `doConfigure(URL url, LoggerRepository repository)` Interpret a resource pointed by a URL and set up log4j accordingly.
    `static String` | `subst(String value, Properties props)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DOMConfigurator

          public DOMConfigurator()

  - ### Method Detail

    - #### configure

          public static void configure(Element element)

    - #### configure

          public static void configure(String filename)
                                throws FactoryConfigurationError

      Throws:
        `FactoryConfigurationError`

    - #### configure

          public static void configure(URL url)
                                throws FactoryConfigurationError

      Throws:
        `FactoryConfigurationError`

    - #### configureAndWatch

          public static void configureAndWatch(String configFilename)

    - #### configureAndWatch

          public static void configureAndWatch(String configFilename,
                                               long delay)

    - #### doConfigure

          public void doConfigure(Element element,
                                  LoggerRepository repository)

    - #### doConfigure

          public void doConfigure(InputStream inputStream,
                                  LoggerRepository repository)
                           throws FactoryConfigurationError

      Throws:
        `FactoryConfigurationError`

    - #### doConfigure

          public void doConfigure(Reader reader,
                                  LoggerRepository repository)
                           throws FactoryConfigurationError

      Throws:
        `FactoryConfigurationError`

    - #### doConfigure

          public void doConfigure(String filename,
                                  LoggerRepository repository)

    - #### doConfigure

          public void doConfigure(URL url,
                                  LoggerRepository repository)

      Description copied from interface: `Configurator`
      Interpret a resource pointed by a URL and set up log4j accordingly. The configuration is done relative to the `hierarchy` parameter.
      Specified by:
        `doConfigure` in interface `Configurator`
      Parameters:
        `url` - The URL to parse
        `repository` - The hierarchy to operation upon.

    - #### subst

          public static String subst(String value,
                                     Properties props)

Copyright © 2005–2019 QOS.ch. All rights reserved.